package com.iamberry.wechat.core.entity.giftCard;

import java.io.Serializable;
import java.util.Date;

import com.iamberry.wechat.core.entity.PageBean;

public class CardCashInfo implements Serializable{


	/**
	 * 1.6	礼品卡兑现表
	 */
	private static final long serialVersionUID = 3116177567931500101L;
	private Integer cardCashId;									//兑现id
	private String cardCashOpenId;		//用户openid
	private String cardCashCardId;//礼品卡id
	private String cardCashSalesNickname;//用户昵称
	private Integer CardCashStatus;//退款状态1:退款中；2：驳回；3：退款成功
	private Date cardCashCreateDate;//创建时间 
	private Date cardCashCheckDate;//审核时间
	private String cardCashRemark;//备注 
	private Integer cardCashOldStatus;
	private PageBean page = new PageBean();//分页
	
	private String agentArea;				//地区
	private String agentTel;				//电话
	private String cardPassword;		//礼品卡密码
	
	public Integer getCardCashOldStatus() {
		return cardCashOldStatus;
	}
	public void setCardCashOldStatus(Integer cardCashOldStatus) {
		this.cardCashOldStatus = cardCashOldStatus;
	}
	public String getAgentArea() {
		return agentArea;
	}
	public void setAgentArea(String agentArea) {
		this.agentArea = agentArea;
	}
	public String getAgentTel() {
		return agentTel;
	}
	public void setAgentTel(String agentTel) {
		this.agentTel = agentTel;
	}
	public String getCardPassword() {
		return cardPassword;
	}
	public void setCardPassword(String cardPassword) {
		this.cardPassword = cardPassword;
	}
	public PageBean getPage() {
		return page;
	}
	public void setPage(PageBean page) {
		this.page = page;
	}
	public Integer getCardCashId() {
		return cardCashId;
	}
	public void setCardCashId(Integer cardCashId) {
		this.cardCashId = cardCashId;
	}
	public String getCardCashOpenId() {
		return cardCashOpenId;
	}
	public void setCardCashOpenId(String cardCashOpenId) {
		this.cardCashOpenId = cardCashOpenId;
	}
	public String getCardCashCardId() {
		return cardCashCardId;
	}
	public void setCardCashCardId(String cardCashCardId) {
		this.cardCashCardId = cardCashCardId;
	}
	public String getCardCashSalesNickname() {
		return cardCashSalesNickname;
	}
	public void setCardCashSalesNickname(String cardCashSalesNickname) {
		this.cardCashSalesNickname = cardCashSalesNickname;
	}
	public Integer getCardCashStatus() {
		return CardCashStatus;
	}
	public void setCardCashStatus(Integer cardCashStatus) {
		CardCashStatus = cardCashStatus;
	}
	public Date getCardCashCreateDate() {
		return cardCashCreateDate;
	}
	public void setCardCashCreateDate(Date cardCashCreateDate) {
		this.cardCashCreateDate = cardCashCreateDate;
	}
	public Date getCardCashCheckDate() {
		return cardCashCheckDate;
	}
	public void setCardCashCheckDate(Date cardCashCheckDate) {
		this.cardCashCheckDate = cardCashCheckDate;
	}
	public String getCardCashRemark() {
		return cardCashRemark;
	}
	public void setCardCashRemark(String cardCashRemark) {
		this.cardCashRemark = cardCashRemark;
	}
	
}
